<template>
  <span class="table-cell table-cell--status-totals">
    <span
      v-for="statusTotal in activeStatusTotals"
      :key="statusTotal.status"
      :class="'status status--' + statusTotal.status"
    >
      <sa-icon
        :icon="statusTotal.status === 'complete' ? 'check-circle' : 'clock'"
      />
      {{ formatNumber(statusTotal.count) }}
    </span>
  </span>
</template>

<script>
export default {
  name: 'SaTableCellStatusTotals',
  props: {
    statusTotals: {
      type: Array,
      default: () => []
    }
  },
  computed: {
    activeStatusTotals() {
      return this.statusTotals.filter((statusTotal) => statusTotal.count > 0)
    }
  }
}
</script>
<style lang="scss" scoped>
.status + .status {
  margin-left: spacing(1);
}
.status .icon {
  color: color(danger-dark);
}
.status.status--complete .icon {
  color: color(success-dark);
}
</style>
